This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 716784 - zanata-python-client: hashlib dependency missing in RHEL5
zanata-python-client: hashlib dependency missing in RHEL5
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-27 00:48 EDT by Ding-Yi Chen
Modified: 2011-10-28 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-06-27 00:48:28 EDT
Description of problem:
Running zanata python client shows:
ImportError: No module named hashlib


Version-Release number of selected component (if applicable):
zanata-python-client-1.2.3-1.el5


How reproducible:
Always

Steps to Reproduce:
1. Assume that zanata.ini, zanata.xml are correct. and python-hashlib is not installed
2. Run "zanata publican pull"
  
Actual results:
ImportError: No module named hashlib


Expected results:
Pass without error.

Additional info:

Try Add

Requires:  python-hashlib

in spec file.
Comment 1 Ding-Yi Chen 2011-07-12 02:45:31 EDT
Note that the change haven't applied to 1.2.4 for el5 yet.
Comment 2 James Ni 2011-07-25 21:50:39 EDT
I have add requirement for python-hashlib in 1.2.6, please test it.
Comment 3 Ding-Yi Chen 2011-07-27 19:44:06 EDT
VERIFIED with zanata-python-client-1.2.6

Note You need to log in before you can comment on or make changes to this bug.